﻿.introduction-category-box{
    margin: 80px 0;
    position: relative;
}
.introduction-category-list-box{
    position: relative;
    box-sizing: border-box;
    padding-bottom: 100px;
}
.introduction-category-list{
    display: inline-block;
    vertical-align: middle;
    margin-right: 20px;
}
/* .introduction-category-list:nth-child(9){
    margin-top: 20px;
} */
.introduction-category{
    display: inline-block;
    vertical-align: middle;
    border-bottom: 1px solid #ddd;
    text-align: center;
    transition: all .3s linear;
}
.introduction-category>a{
    width: 90px;
    display: inline-block;
    vertical-align: middle;
    line-height: 25px;
    font-family: "Noto Sans TC";
    font-size: 16px;
    color: #666;
    letter-spacing: 0.06em;
    box-sizing: border-box;
    padding: 10px 10px;
    transition: all .3s linear;
}
.introduction-category-arrow{
    width: 30px;
    line-height: 45px;
    font-size: 16px;
    color: #666;
    display: inline-block;
    vertical-align: middle;
    cursor: pointer;
    transition: all .3s linear;
}
.introduction-category-sec-box{
    width: 100%;
    display: block;
    background-color: #f5f5f5;
    box-sizing: border-box;
    padding: 15px 20px;
    position: absolute;
    top: 70px;
    left: 0;
    opacity: 0;
    pointer-events: none;
    transition: all .3s linear;
}
.introduction-category-sec-box.openSec{
    opacity: 1;
    pointer-events: all;
}
.introduction-category-sec{
    display: inline-block;
    vertical-align: middle;
    line-height: 2;
    font-family: "Noto Sans TC";
    font-size: 16px;
    color: #666;
    letter-spacing: 0.06em;
    box-sizing: border-box;
    padding: 0 10px;
    transition: all .3s linear;
}

.introduction-info{
    width: 260px;
    display: inline-block;
    vertical-align: top;
    position: relative;
    margin-right: calc(160px / 3);
}
.introduction-info:nth-child(4n){
    margin-right: 0;
}
.introduction-info:nth-child(n + 5){
    margin-top: calc(160px / 3);
}
.introduction-info-img{
    display: block;
    overflow: hidden;
    position: relative;
}
.introduction-info-img .main-bg{
    padding-top: 100%;
    box-sizing: border-box;
}
.introduction-info-text{
    text-align: center;
    box-sizing: border-box;
    padding: 20px 0;
}
.introduction-info-text p{
    font-family: "Noto Sans TC";
    font-size: 24px;
    color: #000;
    letter-spacing: 0.06em;
    line-height: 1;
    box-sizing: border-box;
    padding-left: 0.06em;
}
.introduction-info-text span{
    font-family: "Noto Sans TC";
    font-size: 16px;
    color: #666;
    letter-spacing: 0.2em;
    line-height: 1;
    box-sizing: border-box;
    padding-left: 0.2em;
    margin-top: 12px;
    display: block;
}



@media only screen and (max-width: 1200px){
    .introduction-info{
        width: 230px;
        margin-right: calc(80px / 3);
    }
    .introduction-info:nth-child(n + 5) {
        margin-top: calc(80px / 3);
    }

    .fancybox-box{
        width: 1000px;
        padding: 55px 60px;
    }
    .fancybox-article-box{
        max-height: calc(100vh - 190px);
    }
}
@media only screen and (max-width: 1000px){
    .introduction-info:nth-child(n){
        width: 230px;
        margin-right: calc(60px / 2);
        margin-top: 0;
    }
    .introduction-info:nth-child(3n){
        margin-right: 0;
    }
    .introduction-info:nth-child(n + 4){
        margin-top: calc(60px / 2);
    }

    
    .fancybox-box{
        width: 750px;
        padding: 35px 40px;
    }
    .fancybox-left-box{
        width: 260px;
    }
    .fancybox-article-box{
        width: calc(100% - 260px);
        padding-left: 40px;
        max-height: calc(100vh - 150px);
    }
}
@media only screen and (max-width: 768px){
    .introduction-info:nth-child(n){
        width: 170px;
        margin-right: calc(40px / 2);
        margin-top: 0;
    }
    .introduction-info:nth-child(3n){
        margin-right: 0;
    }
    .introduction-info:nth-child(n + 4){
        margin-top: calc(40px / 2);
    }
    .introduction-info-text{
        padding: 10px 0;
    }
    .introduction-info-text p{
        font-size: 20px;
    }
    .introduction-info-text span{
        font-size: 14px;
        margin-top: 6px;
    }
    .introduction-category-box{
        margin: 40px 0;
    }
    .rwd-introduction-category{
        width: 100%;
        font-family: "Noto Sans TC";
        font-size: 16px;
        color: #333;
        letter-spacing: 0.06em;
        line-height: 36px;
        border: 1px solid #888;
        text-align: center;
        display: block;
        position: relative;
        box-sizing: border-box;
    }
    .rwd-introduction-category:after {
        content: '';
        width: 0px;
        height: 0px;
        margin: 0 auto;
        border-right: 6px solid transparent;
        border-top: 8px solid #666;
        border-left: 6px solid transparent;
        display: block;
        position: absolute;
        bottom: calc(50% - 4px);
        right: 10px;
        box-sizing: border-box;
    }
    .introduction-category-list-box{
        width: 100%;
        height: 100vh;
        display: none;
        align-items: center;
        -webkit-align-items: center;
        justify-content: center;
        -webkit-justify-content: center;
        flex-direction: row;
        position: fixed;
        top: 0;
        left: 0;
        z-index: 999;
    }
    .introduction-category-list-box.active{
        display: inline-flex;
        display: -webkit-inline-flex;
    }
    .introduction-category-all-box{
        width: 550px;
        max-width: calc(100% - 40px);
        background-color: #fff;
        display: block;
        position: relative;
        z-index: 3;
        max-height: 80vh;
        overflow: auto;
    }
    .introduction-category-close{
        width: 40px;
        height: 40px;
        line-height: 40px;
        font-size: 20px;
        color: #000;
        font-family: "Noto Sans TC";
        text-align: center;
        display: block;
        position: absolute;
        top: 0px;
        right: 0;
        background-color: #ddd;
        cursor: pointer;
        z-index: 3;
    }
    .introduction-category-mask{
        width: 100%;
        height: 100%;
        position: absolute;
        top: 0px;
        right: 0;
        background-color: rgba(0, 0, 0, .7);
        cursor: pointer;
        z-index: 2;
    }
    .introduction-category-list{
        width: 100%;
        display: block;
        margin-right: 0;
    }
    .introduction-category{
        width: 100%;
        position: relative;
    }
    .introduction-category>a{
        width: 100%;
    }
    .introduction-category-arrow{
        position: absolute;
        top: 0;
        right: 0;
        width: 45px;
    }
    .introduction-category-sec-box{
        position: static;
        opacity: 1;
        pointer-events: all;
        border-bottom: 1px solid #ddd;
        display: none;
        transition: none;
    }

    .fancybox-box{
        width: 400px;
        padding: 15px 20px;
    }
    .fancybox-left-box{
        width: 100%;
    }
    .fancybox-left-img{
        width: 360px;
        max-width: 100%;
        display: block;
        margin: 0 auto;
    }
    .fancybox-left-text{
        margin: 15px 0;
    }
    .fancybox-article-box{
        width: 100%;
        display: block;
        padding-left: 0px;
        max-height: calc(100vh - 360px - 180px);
    }
    
}
@media only screen and (max-width: 550px){
    .introduction-info:nth-child(n){
        width: calc((100% - 10px) / 2);
        margin-right: 10px;
        margin-top: 0;
    }
    .introduction-info:nth-child(2n){
        margin-right: 0;
    }
    .introduction-info:nth-child(n + 3){
        margin-top: 10px;
    }
    .introduction-info-text{
        padding: 5px 0;
    }
    .introduction-info-text p{
        font-size: 18px;
    }
    .introduction-category-box{
        margin: 20px 0;
    }

    .fancybox-left-text p{
        font-size: 20px;
    }
    .fancybox-left-text span{
        font-size: 16px;
        margin-left: 10px;
    }
    .fancybox-article-box{
        max-height: calc(100vh - (100vw - 50px) - 160px);
    }
    .fancybox-article-title{
        font-size: 18px;
        line-height: 22px;
    }
    .fancybox-article-p{
        font-size: 14px;
        line-height: 22px;
    }
    .fancybox-article:nth-child(n + 2){
        margin-top: 10px;
    }
    .fancybox-article-p2{
        flex-direction: column;
    }
    .fancybox-article-p2 p,
    .fancybox-article-p2 span{
        font-size: 14px;
        line-height: 22px;
    }
}
@media only screen and (max-width: 400px){
    .fancybox-box{
        width: calc(100vw - 30px);
        padding: 10px;
    }
}
@media only screen and (max-width: 350px){
    .introduction-info:nth-child(n){
        width: 100%;
        margin-right: 0;
        margin-top: 0;
    }
    .introduction-info:nth-child(n + 2){
        margin-top: 10px;
    }
}




@media only screen and (min-width: 769px){
    .introduction-category.active,
    .introduction-category:hover{
        border-bottom-color: #44bcbb;
    }
    .introduction-category.active a,
    .introduction-category:hover a{
        color: #44bcbb;
    }
    .introduction-info:hover .main-bg{
        transform: scale(1.1);
    }

    .introduction-category-box,
    .introduction-info{
        opacity: 0;
    }
    .introduction-category-box.anima{
        animation: fade 1s ease 0s 1 both;
    }
    .introduction-info.anima{
        animation: fadeInUp 1s ease 0s 1 both;
    }
    .introduction-category-arrow:hover{
        background-color: #eee;
        color: #44bcbb;
    }
}